Iniciar el enrolamiento de la app autenticadora
curl --request POST \
--url https://api.qbank.cl/platform/v1/me/totp/enroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "mi-clave-fuerte"
}
'import requests
url = "https://api.qbank.cl/platform/v1/me/totp/enroll"
payload = { "password": "mi-clave-fuerte" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'mi-clave-fuerte'})
};
fetch('https://api.qbank.cl/platform/v1/me/totp/enroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totp_secret": "JBSWY3DPEHPK3PXP",
"otpauth_uri": "otpauth://totp/CBPay:taylor@example.com?secret=JBSWY3DPEHPK3PXP&issuer=CBPay",
"qr_png_base64": "iVBORw0KGgo…",
"note": "scan the QR (or type the secret) in your authenticator app, then confirm with POST /v1/me/totp/confirm"
}Iniciar el enrolamiento de la app autenticadora
Genera un secreto TOTP y devuelve el otpauth:// más un PNG de QR para escanear en Google Authenticator / Authy. Exige la contraseña actual (si el miembro tiene una). Confirma con POST /v1/me/totp/confirm.
POST
/
v1
/
me
/
totp
/
enroll
Iniciar el enrolamiento de la app autenticadora
Última modificación el 18 de julio de 2026
⌘I